## 技术栈

### 基础

<!-- prettier-ignore -->
- [Vue v3.x](https://staging-cn.vuejs.org/)
- [Vue Router V4.x](https://router.vuejs.org/zh/)
- [TypeScript](https://www.typescriptlang.org/zh/)
- [Less](http://lesscss.org/)

### 状态管理

<!-- prettier-ignore -->
- [Pinia](https://github.com/vuejs/pinia)

### UI

<!-- prettier-ignore -->
- [Ant Design Vue v3.x](https://next.antdv.com/docs/vue/changelog-cn)

### Tools

<!-- prettier-ignore -->
- [Lodash](https://github.com/lodash/lodash) 函数库
- [Dayjs](https://github.com/iamkun/dayjs) 时间库
- [@vueuse/core](https://github.com/vueuse/vueuse) Vue2/3 实用工具集
- [Mock.js](https://github.com/nuysoft/Mock) 数据模拟

### 网络

<!-- prettier-ignore -->
- [Axios](https://github.com/axios/axios)

### 图表

<!-- prettier-ignore -->
- [Echarts](http://echarts.apache.org/)

### 构建工具

<!-- prettier-ignore -->
- [Vite v2.x](https://vitejs.dev)

### 其他插件

<!-- prettier-ignore -->
- [Prettier](https://prettier.io) 代码格式化工具
- [Husky](https://github.com/typicode/husky) Git hooks 插件
- [ESLint](https://eslint.org) 代码规范检查工具
- [Stylelint](https://stylelint.io) CSS 规范检查工具
- [Commitizen](https://github.com/commitizen) Git 提交规范工具
- [Lint-Staged](https://github.com/okonet/lint-staged)
- ...
