/**
 * @desc Base64 图片上传
 */

import * as defs from '../../baseClass'
import { defHttp } from '/@/utils/http/axios'

export const init = new defs.ResultString()

export function request(body?: string, config?: http.RequestConfig<string>, options?: http.RequestOptions) {
    return defHttp.request(
        {
            url: '/common/file/uploadBase64Image',
            method: 'POST',
            data: body,
            headers: { 'Content-Type': 'application/json' },

            ...config,
        },
        {
            ...options,
        },
    )
}
