import { withInstall } from '/@/utils'

import pageFooter from './src/PageFooter.vue'
import pageWrapper from './src/PageWrapper.vue'
import pageComing from './src/PageComing.vue'

export const PageFooter = withInstall(pageFooter)
export const PageWrapper = withInstall(pageWrapper)
export const PageComing = withInstall(pageComing)

export const PageWrapperFixedHeightKey = 'PageWrapperFixedHeight'
