export type ErrorMessageMode = 'none' | 'modal' | 'message' | undefined

export type RequestOptions = http.RequestOptions

export interface RetryRequest {
    isOpenRetry: boolean
    count: number
    waitTime: number
}

export type Result<T = any> = defs.Result<T>

// multipart/form-data: upload file
export interface UploadFileParams<T = any> {
    // Other parameters
    data?: T | Recordable
    // File parameter interface field name
    name?: string
    // file name
    file: File | Blob
    // file name
    filename?: string
    [key: string]: any
}
